### Struct

# Ide PtyIntercept

#### Description

    struct IdePtyIntercept {
      gsize magic;
      IdePtyInterceptSide master;
      IdePtyInterceptSide slave;
    }

No description available.

###### Structure members

`magic` | No description available.
`master` | No description available.
`slave` | No description available.

#### Functions

###### ide_pty_intercept_create_master

Creates a new PTY master using posix_openpt(). Some fallbacks are provided for non-Linux systems where O_CLOEXEC and O_NONBLOCK may not be supported.

Available since: 3.32

###### ide_pty_intercept_create_slave

This creates a new slave to the PTY master `master_fd`.

Available since: 3.32

#### Instance methods

###### ide_pty_intercept_clear

Cleans up a `IdePtyIntercept` previously initialized with ide_pty_intercept_init().

Available since: 3.32

###### ide_pty_intercept_get_fd

Gets a master PTY fd created by the `IdePtyIntercept`. This is suitable to use to create a slave fd which can be passed to a child process.

Available since: 3.32

###### ide_pty_intercept_init

Creates a enw `IdePtyIntercept` using the PTY master fd `fd`.

Available since: 3.32

###### ide_pty_intercept_set_callback

This sets the callback to execute every time data is received from a particular side of the intercept.

Available since: 3.32

###### ide_pty_intercept_set_size

Proxies a winsize across to the inferior. If the PTY is the controlling PTY for the process, then SIGWINCH will be signaled in the inferior process.

Available since: 3.32